Bug 1789903 - "text" x-descriptors (both "specDescriptor" and "statusDescriptor") always shows "None" whenever the data is "True".
Summary: "text" x-descriptors (both "specDescriptor" and "statusDescriptor") always sh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2.z
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1779894 1780384
Blocks: 1784870
TreeView+ depends on / blocked
 
Reported: 2020-01-10 16:46 UTC by Robb Hamilton
Modified: 2020-01-22 10:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1780384
Environment:
Version: 4.4.0-0.ci-2019-12-04-051457 Cluster ID: 73e38a63-0543-4277-9bd4-018c287764e8 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:71.0) Gecko/20100101 Firefox/71.0
Last Closed: 2020-01-22 10:46:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3920 None closed [release-4.2] Bug 1789903: Fixed the display issue in operand detail view, when the value of the… 2020-05-29 17:00:43 UTC
Red Hat Product Errata RHBA-2020:0107 None None None 2020-01-22 10:46:57 UTC

Comment 2 Yanping Zhang 2020-01-13 06:28:46 UTC
Checked on ocp 4.2 with payload: 4.2.14
Install Etcd Operator in project, then in CSV add x-descriptor with text value "True" in "specDescriptors" and "statusDescriptors" as below, then create instance, check on detail page, it shows "True" for "Test For Bug" and "Status Test For Bug".
        specDescriptors:
          - description: Test Bug.
            displayName: Test For Bug
            path: cluster.testbug
            value: 'True'
            x-descriptors:
              - 'urn:alm:descriptor:text'
        statusDescriptors:
          - description: Status Test Bug.
            displayName: Status Test For Bug
            path: cluster.statustestbug
            value: 'True'
            x-descriptors:
              - 'urn:alm:descriptor:text'

The bug is fixed, so move it to Verified.

Comment 4 errata-xmlrpc 2020-01-22 10:46:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0107


Note You need to log in before you can comment on or make changes to this bug.